#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n, max=0, temp=0,br=0, m=0;
    string sl;
    cin>>n>>sl;
    int arr[n],brArr[n];
    for(int i=0; i<n; i++){
        arr[i]=sl[i];
        brArr[i]=0;
        temp=arr[i];
        if(max<temp){
            max=temp;
            m=0;
        }
        else if(temp<max){
            br++;
            m=0;
        }
        else{
            m+=1;
            brArr[i]=m;
        }
    }
    for(int i=0; i<n; i++){
        cout<<brArr[i];
    }
}